//A2-SRCLK serial shift clock
//A1-RCLK output latch clock
//A0-SER serial data in

void setup()
{
	DDRC |= B00000111;//Set pins A0,A1,A2 as output
	PORTC &= B11111000;//Clear all pins
}

void loop()
{
	
	uint8_t value;
	value=B11111111,
	shiftByte(value);
	delay(500);
	value=B01111111;
	shiftByte(value);
	delay(500);
	value=B00111111;
	shiftByte(value);
	delay(500);
	value=B00011111;
	shiftByte(value);
	delay(500);
	value=B00011110;
	shiftByte(value);
	delay(500);
	
	
	
}

void shiftByte(uint8_t x){
	//4.5us function
	PORTC &= B11111101;//Data clock low
	
	PORTC=(PORTC&B11111010)|(x&B00000001);//set clock low and output bit 0
	PORTC |= B00000100;//Serial clock high
	
	x>>=1;
	PORTC=(PORTC&B11111010)|(x&B00000001);//set clock low and output bit 1
	PORTC |= B00000100;//Serial clock high
	
	x>>=1;
	PORTC=(PORTC&B11111010)|(x&B00000001);//set clock low and output bit 2
	PORTC |= B00000100;//Serial clock high
	
	x>>=1;
	PORTC=(PORTC&B11111010)|(x&B00000001);//set clock low and output bit 3
	PORTC |= B00000100;//Serial clock high
	
	x>>=1;
	PORTC=(PORTC&B11111010)|(x&B00000001);//set clock low and output bit 4
	PORTC |= B00000100;//Serial clock high
	
	x>>=1;
	PORTC=(PORTC&B11111010)|(x&B00000001);//set clock low and output bit 5
	PORTC |= B00000100;//Serial clock high
	
	x>>=1;
	PORTC=(PORTC&B11111010)|(x&B00000001);//set clock low and output bit 6
	PORTC |= B00000100;//Serial clock high
	
	x>>=1;
	PORTC=(PORTC&B11111010)|(x&B00000001);//set clock low and output bit 7
	PORTC |= B00000100;//Serial clock high
	
	PORTC |= B00000010;//Data clock high
}

